Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.BrushStyle

    java.lang.Object
      java.lang.Enum<Qt.BrushStyle>
          com.trolltech.qt.core.Qt.BrushStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.BrushStyle>

Enclosing interface:
  Qt

    public static enum Qt.BrushStyle

extends java.lang.Enum<Qt.BrushStyle>
implements QtEnumerator

This enum type defines the brush styles supported by Qt, i.e. the fill pattern of shapes drawn using `QPainter`.

See Also:
  `QBrush`

Enum Constant Summary
`BDiagPattern` Backward diagonal lines.
`ConicalGradientPattern` Conical gradient (set using a dedicated `QBrush` constructor).
`CrossPattern` Crossing horizontal and vertical lines.
`Dense1Pattern` Extremely dense brush pattern.
`Dense2Pattern` Very dense brush pattern.
`Dense3Pattern` Somewhat dense brush pattern.
`Dense4Pattern` Half dense brush pattern.
`Dense5Pattern` Somewhat sparse brush pattern.
`Dense6Pattern` Very sparse brush pattern.
`Dense7Pattern` Extremely sparse brush pattern.
`DiagCrossPattern` Crossing diagonal lines.
`FDiagPattern` Forward diagonal lines.
`HorPattern` Horizontal lines.
`LinearGradientPattern` Linear gradient (set using a dedicated `QBrush` constructor).
`NoBrush` No brush pattern.
`RadialGradientPattern` Radial gradient (set using a dedicated `QBrush` constructor).
`SolidPattern` Uniform color.
`TexturePattern` Custom pattern (see QBrush::setTexture()).
`VerPattern` Vertical lines.

Method Summary
`static Qt.BrushStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.BrushStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.BrushStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoBrush

    public static final Qt.BrushStyle NoBrush

  No brush pattern.

### SolidPattern

    public static final Qt.BrushStyle SolidPattern

  Uniform color.

### Dense1Pattern

    public static final Qt.BrushStyle Dense1Pattern

  Extremely dense brush pattern.

### Dense2Pattern

    public static final Qt.BrushStyle Dense2Pattern

  Very dense brush pattern.

### Dense3Pattern

    public static final Qt.BrushStyle Dense3Pattern

  Somewhat dense brush pattern.

### Dense4Pattern

    public static final Qt.BrushStyle Dense4Pattern

  Half dense brush pattern.

### Dense5Pattern

    public static final Qt.BrushStyle Dense5Pattern

  Somewhat sparse brush pattern.

### Dense6Pattern

    public static final Qt.BrushStyle Dense6Pattern

  Very sparse brush pattern.

### Dense7Pattern

    public static final Qt.BrushStyle Dense7Pattern

  Extremely sparse brush pattern.

### HorPattern

    public static final Qt.BrushStyle HorPattern

  Horizontal lines.

### VerPattern

    public static final Qt.BrushStyle VerPattern

  Vertical lines.

### CrossPattern

    public static final Qt.BrushStyle CrossPattern

  Crossing horizontal and vertical lines.

### BDiagPattern

    public static final Qt.BrushStyle BDiagPattern

  Backward diagonal lines.

### FDiagPattern

    public static final Qt.BrushStyle FDiagPattern

  Forward diagonal lines.

### DiagCrossPattern

    public static final Qt.BrushStyle DiagCrossPattern

  Crossing diagonal lines.

### LinearGradientPattern

    public static final Qt.BrushStyle LinearGradientPattern

  Linear gradient (set using a dedicated `QBrush` constructor).

### RadialGradientPattern

    public static final Qt.BrushStyle RadialGradientPattern

  Radial gradient (set using a dedicated `QBrush` constructor).

### ConicalGradientPattern

    public static final Qt.BrushStyle ConicalGradientPattern

  Conical gradient (set using a dedicated `QBrush` constructor).

### TexturePattern

    public static final Qt.BrushStyle TexturePattern

  Custom pattern (see QBrush::setTexture()).

Method Detail

### values

    public static final Qt.BrushStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.BrushStyle c : Qt.BrushStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.BrushStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.BrushStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD